import org.gradle.api.tasks.testing.logging.TestLogEvent
import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    kotlin("jvm") version "1.3.41"
    `java-gradle-plugin`
    id("com.gradle.plugin-publish") version "0.10.1"

}

group = "nl.voidcorp.base"
version = "1.0-SNAPSHOT"

repositories {
    jcenter()
}

dependencies {
    implementation(kotlin("stdlib-jdk8"))
    testImplementation("io.kotlintest:kotlintest-runner-junit5:3.4.0")
    implementation("org.jetbrains.kotlin:kotlin-gradle-plugin:1.3.41")
}

tasks.withType<KotlinCompile> {
    kotlinOptions.jvmTarget = "1.8"
}

gradlePlugin {
    plugins {
        create("baseplugin") {
            id = "nl.voidcorp.baseplugin"
            displayName = "BasePlugin"
            description = "A small gradle plugin with components that I use often."
            implementationClass = "nl.voidcorp.baseplugin.Main"
        }
    }
}

pluginBundle {
    // please change these URLs to point to your own website/repository
    website = "https://gitlab.voidcorp.nl/explore/projects"
    vcsUrl = "https://gitlab.voidcorp.nl/jdejeu/baseplugin"
    tags = listOf("kotlin", "settings")
}

tasks.withType<Test> {
    useJUnitPlatform()

    // show standard out and standard error of the test JVM(s) on the console
    testLogging.showStandardStreams = true

    testLogging {
        events = setOf(TestLogEvent.FAILED, TestLogEvent.PASSED, TestLogEvent.STANDARD_OUT)
    }
}