package nl.voidcorp.baseplugin

import org.gradle.api.DefaultTask
import org.gradle.api.Plugin
import org.gradle.api.Project
import org.gradle.api.tasks.TaskAction
import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

class Main : Plugin<Project> {
    override fun apply(target: Project) {
        target.tasks.register("greeting", PrintlnTask::class.java)
        target.pluginManager.apply("org.jetbrains.kotlin.jvm")
        target.dependencies.add("implementation", "org.jetbrains.kotlin:kotlin-stdlib-jdk8")
        target.tasks.withType(KotlinCompile::class.java).whenTaskAdded {
            it.kotlinOptions.jvmTarget = "1.8"
        }
    }
}

class PrintlnTask : DefaultTask() {
    @TaskAction
    fun greet() {
        println("Hello!")
    }
}
