package nl.voidcorp.baseplugin

import arrow.typeclasses.const
import io.kotlintest.shouldNotBe
import io.kotlintest.specs.WordSpec
import org.gradle.testfixtures.ProjectBuilder


class PluginTest : WordSpec({
    "Using the plugin id" should {
        "Apply the plugin" {
            val project = ProjectBuilder.builder().build()
            project.pluginManager.apply("nl.voidcorp.baseplugin")


            project.plugins.getPlugin(Main::class.java) shouldNotBe null
        }

        "Add the kotlin plugin" {
            val project = ProjectBuilder.builder().build()
            project.pluginManager.apply("nl.voidcorp.baseplugin")

            project.plugins.getPlugin("org.jetbrains.kotlin.jvm") shouldNotBe null
        }

        "Add kotlin-stdlib-jdk8 as a dependency" {
            val project = ProjectBuilder.builder().build()
            project.pluginManager.apply("nl.voidcorp.baseplugin")

            project.dependencies
        }
    }
})